<?php
/**
 * Transport Movers Theme Customizer
 * @package Transport Movers
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */

function transport_movers_customize_register( $wp_customize ) {	

	//add home page setting pannel
	$wp_customize->add_panel( 'transport_movers_panel_id', array(
	    'priority' => 10,
	    'capability' => 'edit_theme_options',
	    'theme_supports' => '',
	    'title' => __( 'Theme Settings', 'transport-movers' ),
	    'description' => __( 'Description of what this panel does.', 'transport-movers' ),
	) );

	//layout setting
	$wp_customize->add_section( 'transport_movers_option', array(
    	'title'      => __( 'Layout Settings', 'transport-movers' ),
		'priority'   => 30,
		'panel' => 'transport_movers_panel_id'
	) );

	// Add Settings and Controls for Layout
	$wp_customize->add_setting('transport_movers_layout_options',array(
	        'default' => __('Right Sidebar','transport-movers'),
	        'sanitize_callback' => 'transport_movers_sanitize_choices'	        
	    )
    );

	$wp_customize->add_control('transport_movers_layout_options',
	    array(
	        'type' => 'radio',
	        'label' => __('Do you want this section','transport-movers'),
	        'section' => 'transport_movers_option',
	        'choices' => array(
	            'One Column' => __('One Column','transport-movers'),
	            'Three Columns' => __('Three Columns','transport-movers'),
	            'Four Columns' => __('Four Columns','transport-movers'),
	            'Grid Layout' => __('Grid Layout','transport-movers'),
	            'Left Sidebar' => __('Left Sidebar','transport-movers'),
	            'Right Sidebar' => __('Right Sidebar','transport-movers')
	        ),
	    )
    );

    $font_array = array(
		''                       => 'No Fonts',
		'Abril Fatface'          => 'Abril Fatface',
		'Acme'                   => 'Acme',
		'Anton'                  => 'Anton',
		'Architects Daughter'    => 'Architects Daughter',
		'Arimo'                  => 'Arimo',
		'Arsenal'                => 'Arsenal',
		'Arvo'                   => 'Arvo',
		'Alegreya'               => 'Alegreya',
		'Alfa Slab One'          => 'Alfa Slab One',
		'Averia Serif Libre'     => 'Averia Serif Libre',
		'Bangers'                => 'Bangers',
		'Boogaloo'               => 'Boogaloo',
		'Bad Script'             => 'Bad Script',
		'Bitter'                 => 'Bitter',
		'Bree Serif'             => 'Bree Serif',
		'BenchNine'              => 'BenchNine',
		'Cabin'                  => 'Cabin',
		'Cardo'                  => 'Cardo',
		'Courgette'              => 'Courgette',
		'Cherry Swash'           => 'Cherry Swash',
		'Cormorant Garamond'     => 'Cormorant Garamond',
		'Crimson Text'           => 'Crimson Text',
		'Cuprum'                 => 'Cuprum',
		'Cookie'                 => 'Cookie',
		'Chewy'                  => 'Chewy',
		'Days One'               => 'Days One',
		'Dosis'                  => 'Dosis',
		'Droid Sans'             => 'Droid Sans',
		'Economica'              => 'Economica',
		'Fredoka One'            => 'Fredoka One',
		'Fjalla One'             => 'Fjalla One', 
		'Francois One'           => 'Francois One',
		'Frank Ruhl Libre'       => 'Frank Ruhl Libre',
		'Gloria Hallelujah'      => 'Gloria Hallelujah',
		'Great Vibes'            => 'Great Vibes',
		'Handlee'                => 'Handlee',
		'Hammersmith One'        => 'Hammersmith One',
		'Inconsolata'            => 'Inconsolata',
		'Indie Flower'           => 'Indie Flower', 
		'IM Fell English SC'     => 'IM Fell English SC',
		'Julius Sans One'        => 'Julius Sans One',
		'Josefin Slab'           => 'Josefin Slab',
		'Josefin Sans'           => 'Josefin Sans',
		'Kanit'                  => 'Kanit', 
		'Lobster'                => 'Lobster',
		'Lato'                   => 'Lato',
		'Lora'                   => 'Lora',
		'Libre Baskerville'      => 'Libre Baskerville',
		'Lobster Two'            => 'Lobster Two', 
		'Merriweather'           => 'Merriweather',
		'Monda'                  => 'Monda', 
		'Montserrat'             => 'Montserrat',
		'Muli'                   => 'Muli', 
		'Marck Script'           => 'Marck Script', 
		'Noto Serif'             => 'Noto Serif', 
		'Open Sans'              => 'Open Sans', 
		'Overpass'               => 'Overpass',
		'Overpass Mono'          => 'Overpass Mono',
		'Oxygen'                 => 'Oxygen', 
		'Orbitron'               => 'Orbitron',
		'Patua One'              => 'Patua One',
		'Pacifico'               => 'Pacifico',
		'Padauk'                 => 'Padauk',
		'Playball'               => 'Playball',
		'Playfair Display'       => 'Playfair Display', 
		'PT Sans'                => 'PT Sans',
		'Philosopher'            => 'Philosopher',
		'Permanent Marker'       => 'Permanent Marker',
		'Poiret One'             => 'Poiret One',
		'Quicksand'              => 'Quicksand',
		'Quattrocento Sans'      => 'Quattrocento Sans',
		'Raleway'                => 'Raleway',
		'Rubik'                  => 'Rubik', 
		'Rokkitt'                => 'Rokkitt',
		'Russo One'              => 'Russo One',
		'Righteous'              => 'Righteous',
		'Slabo'                  => 'Slabo', 
		'Source Sans Pro'        => 'Source Sans Pro',
		'Shadows Into Light Two' => 'Shadows Into Light Two', 
		'Shadows Into Light'     => 'Shadows Into Light',
		'Sacramento'             => 'Sacramento',
		'Shrikhand'              => 'Shrikhand',
		'Tangerine'              => 'Tangerine',
		'Ubuntu'                 => 'Ubuntu',
		'VT323'                  => 'VT323',
		'Varela Round'           => 'Varela Round',
		'Vampiro One'            => 'Vampiro One',
		'Vollkorn'               => 'Vollkorn', 
		'Volkhov'                => 'Volkhov',
		'Yanone Kaffeesatz'      => 'Yanone Kaffeesatz'
	);

	//Typography
	$wp_customize->add_section('transport_movers_typography', array(
		'title'    => __('Typography', 'transport-movers'),
		'priority' => 30,
		'panel'    => 'transport_movers_panel_id',
	));

	// This is Paragraph Color picker setting
	$wp_customize->add_setting('transport_movers_paragraph_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_paragraph_color', array(
		'label'    => __('Paragraph Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_paragraph_color',
	)));

	//This is Paragraph FontFamily picker setting
	$wp_customize->add_setting('transport_movers_paragraph_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control(	'transport_movers_paragraph_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('Paragraph Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	$wp_customize->add_setting('transport_movers_paragraph_font_size', array(
		'default'           => '12px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('transport_movers_paragraph_font_size', array(
		'label'   => __('Paragraph Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_paragraph_font_size',
		'type'    => 'text',
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('transport_movers_atag_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_atag_color', array(
		'label'    => __('"a" Tag Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_atag_color',
	)));

	//This is "a" Tag FontFamily picker setting
	$wp_customize->add_setting('transport_movers_atag_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control(	'transport_movers_atag_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('"a" Tag Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is "a" Tag Color picker setting
	$wp_customize->add_setting('transport_movers_li_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_li_color', array(
		'label'    => __('"li" Tag Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_li_color',
	)));

	//This is "li" Tag FontFamily picker setting
	$wp_customize->add_setting('transport_movers_li_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control(	'transport_movers_li_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('"li" Tag Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	// This is H1 Color picker setting
	$wp_customize->add_setting('transport_movers_h1_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h1_color', array(
		'label'    => __('H1 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h1_color',
	)));

	//This is H1 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h1_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control('transport_movers_h1_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('H1 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H1 FontSize setting
	$wp_customize->add_setting('transport_movers_h1_font_size', array(
		'default'           => '50px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('transport_movers_h1_font_size', array(
		'label'   => __('H1 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h1_font_size',
		'type'    => 'text',
	));
	// This is H2 Color picker setting
	$wp_customize->add_setting('transport_movers_h2_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h2_color', array(
		'label'    => __('h2 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h2_color',
	)));

	//This is H2 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h2_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control(
	'transport_movers_h2_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('h2 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H2 FontSize setting
	$wp_customize->add_setting('transport_movers_h2_font_size', array(
		'default'           => '45px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('transport_movers_h2_font_size', array(
		'label'   => __('H2 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h2_font_size',
		'type'    => 'text',
	));

	// This is H3 Color picker setting
	$wp_customize->add_setting('transport_movers_h3_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h3_color', array(
		'label'    => __('H3 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h3_color',
	)));

	//This is H3 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h3_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control(
	'transport_movers_h3_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('H3 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H3 FontSize setting
	$wp_customize->add_setting('transport_movers_h3_font_size', array(
		'default'           => '36px',
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('transport_movers_h3_font_size', array(
		'label'   => __('H3 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h3_font_size',
		'type'    => 'text',
	));

	// This is H4 Color picker setting
	$wp_customize->add_setting('transport_movers_h4_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h4_color', array(
		'label'    => __('H4 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h4_color',
	)));

	//This is H4 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h4_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control('transport_movers_h4_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('H4 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H4 FontSize setting
	$wp_customize->add_setting('transport_movers_h4_font_size', array(
		'default'           => '30px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('transport_movers_h4_font_size', array(
		'label'   => __('H4 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h4_font_size',
		'type'    => 'text',
	));

	// This is H5 Color picker setting
	$wp_customize->add_setting('transport_movers_h5_color', array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h5_color', array(
		'label'    => __('H5 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h5_color',
	)));

	//This is H5 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h5_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control('transport_movers_h5_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('H5 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H5 FontSize setting
	$wp_customize->add_setting('transport_movers_h5_font_size', array(
		'default'           => '25px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('transport_movers_h5_font_size', array(
		'label'   => __('H5 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h5_font_size',
		'type'    => 'text',
	));

	// This is H6 Color picker setting
	$wp_customize->add_setting('transport_movers_h6_color', array(
			'default'           => '',
			'sanitize_callback' => 'sanitize_hex_color',
		));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_h6_color', array(
		'label'    => __('H6 Color', 'transport-movers'),
		'section'  => 'transport_movers_typography',
		'settings' => 'transport_movers_h6_color',
	)));

	//This is H6 FontFamily picker setting
	$wp_customize->add_setting('transport_movers_h6_font_family', array(
		'default'           => '',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));
	$wp_customize->add_control('transport_movers_h6_font_family', array(
		'section' => 'transport_movers_typography',
		'label'   => __('H6 Fonts', 'transport-movers'),
		'type'    => 'select',
		'choices' => $font_array,
	));

	//This is H6 FontSize setting
	$wp_customize->add_setting('transport_movers_h6_font_size', array(
		'default'           => '18px',
		'sanitize_callback' => 'sanitize_text_field',
	));

	$wp_customize->add_control('transport_movers_h6_font_size', array(
		'label'   => __('H6 Font Size', 'transport-movers'),
		'section' => 'transport_movers_typography',
		'setting' => 'transport_movers_h6_font_size',
		'type'    => 'text',
	));

    //Global Color
	$wp_customize->add_section('transport_movers_global_color', array(
		'title'    => __('Theme Color Option', 'transport-movers'),
		'priority' => 31,
		'panel'    => 'transport_movers_panel_id',
	));

	$wp_customize->add_setting('transport_movers_first_color', array(
		'default'           => '#df1f00',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'transport_movers_first_color', array(
		'label'    => __('Highlight Color', 'transport-movers'),
		'section'  => 'transport_movers_global_color',
		'settings' => 'transport_movers_first_color',
	)));

	//Top Bar(topbar)
	$wp_customize->add_section('transport_movers_contact',array(
		'title'	=> __('Contact Us','transport-movers'),
		'description'	=> __('Add contact us here','transport-movers'),
		'priority'	=> null,
		'panel' => 'transport_movers_panel_id',
	));

	$wp_customize->add_setting('transport_movers_call',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_call',array(
		'label'	=> __('Call No.','transport-movers'),
		'section'	=> 'transport_movers_contact',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_email',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_email',array(
		'label'	=> __('Email Address','transport-movers'),
		'section'	=> 'transport_movers_contact',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_city',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('transport_movers_city',array(
		'label'	=> __('City Name','transport-movers'),
		'section'	=> 'transport_movers_contact',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_location',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));	
	$wp_customize->add_control('transport_movers_location',array(
		'label'	=> __('Location','transport-movers'),
		'section'	=> 'transport_movers_contact',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_button_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_button_link',array(
		'label'	=> __('Request us url','transport-movers'),
		'section'	=> 'transport_movers_contact',
		'setting'	=> 'transport_movers_button_link',
		'type'		=> 'url'
	));

	// Tab banner Section
	$wp_customize->add_section('transport_movers_blog_sec',array(
		'title'	=> __('Slider Section','transport-movers'),
		'riority' => null,
		'panel' => 'transport_movers_panel_id',
	));

	$wp_customize->add_setting('transport_movers_slider_hide',array(
       'default' => 'false',
       'sanitize_callback'  => 'sanitize_text_field'
    ));
    $wp_customize->add_control('transport_movers_slider_hide',array(
       'type' => 'checkbox',
       'label' => __('Show / Hide slider','transport-movers'),
       'section' => 'transport_movers_blog_sec',
    ));
		
	for ( $count = 1; $count <= 4; $count++ ) {

		$wp_customize->add_setting( 'transport_movers_tab_pages' .$count, array(
			'default'           => '',
			'sanitize_callback' => 'transport_movers_sanitize_dropdown_pages'
		));
		$wp_customize->add_control( 'transport_movers_tab_pages' .$count, array(
			'label'    => __( 'Select Slide Page', 'transport-movers' ),
			'section'  => 'transport_movers_blog_sec',
			'type'     => 'dropdown-pages'
		));
	}

	//Slider excerpt
	$wp_customize->add_setting( 'transport_movers_slider_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'transport_movers_slider_excerpt_number', array(
		'label'       => esc_html__( 'Slider Content Limit','transport-movers' ),
		'section'     => 'transport_movers_blog_sec',
		'type'        => 'number',
		'settings'    => 'transport_movers_slider_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	// Details
	$wp_customize->add_section('transport_movers_details',array(
		'title'	=> __('Details','transport-movers'),
		'description'	=> __('Add Details us here','transport-movers'),
		'priority'	=> null,
		'panel' => 'transport_movers_panel_id',
	));

	$wp_customize->add_setting('transport_movers_time_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_time_text',array(
		'label'	=> __('Time Text','transport-movers'),
		'section'	=> 'transport_movers_details',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_time',array(
		'label'	=> __('Timing','transport-movers'),
		'section'	=> 'transport_movers_details',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_branchase_text',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_branchase_text',array(
		'label'	=> __('Branch Text','transport-movers'),
		'section'	=> 'transport_movers_details',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_branchase',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('transport_movers_branchase',array(
		'label'	=> __('Branches','transport-movers'),
		'section'	=> 'transport_movers_details',
		'type'		=> 'text'
	));

	$wp_customize->add_setting('transport_movers_facebook',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_facebook',array(
		'label'	=> __('Add Facebook link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_facebook',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_twitter',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_twitter',array(
		'label'	=> __('Add Twitter link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_twitter',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_linkdin',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_linkdin',array(
		'label'	=> __('Add Linkdin link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_linkdin',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_pinterest',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_pinterest',array(
		'label'	=> __('Add Pinterest link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_pinterest',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_google_plus',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_google_plus',array(
		'label'	=> __('Add Google Plus link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_google_plus',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_instagram',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_instagram',array(
		'label'	=> __('Add Instagram link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_instagram',
		'type'		=> 'url'
	));

	$wp_customize->add_setting('transport_movers_youtube',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	
	$wp_customize->add_control('transport_movers_youtube',array(
		'label'	=> __('Add Youtube link','transport-movers'),
		'section'	=> 'transport_movers_details',
		'setting'	=> 'transport_movers_youtube',
		'type'		=> 'url'
	));

	//About
	$wp_customize->add_section('transport_movers_project',array(
		'title'	=> __('About Section','transport-movers'),
		'description'	=> __('Add About sections below.','transport-movers'),
		'panel' => 'transport_movers_panel_id',
	));

	$wp_customize->add_setting('transport_movers_sec_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('transport_movers_sec_title',array(
		'label'	=> __('Title','transport-movers'),
		'section'	=> 'transport_movers_project',
		'type'		=> 'text'
	));

	$args = array('numberposts' => -1);
	$post_list = get_posts($args);
	$posts[]='Select';  
	foreach($post_list as $post){
		$posts[$post->post_title] = $post->post_title;
	}

	$wp_customize->add_setting('transport_movers_project_single_post',array(
		'default' =>'select post',
		'sanitize_callback' => 'transport_movers_sanitize_choices',
	));

	$wp_customize->add_control('transport_movers_project_single_post',array(
		'type'    => 'select',
		'choices' => $posts,
		'label' => __('Select post','transport-movers'),
		'section' => 'transport_movers_project',
	));

	//About excerpt
	$wp_customize->add_setting( 'transport_movers_about_excerpt_number', array(
		'default'              => 30,
		'type'                 => 'theme_mod',
		'transport' 		   => 'refresh',
		'sanitize_callback'    => 'absint',
		'sanitize_js_callback' => 'absint',
	) );
	$wp_customize->add_control( 'transport_movers_about_excerpt_number', array(
		'label'       => esc_html__( 'About Content Limit','transport-movers' ),
		'section'     => 'transport_movers_project',
		'type'        => 'number',
		'settings'    => 'transport_movers_about_excerpt_number',
		'input_attrs' => array(
			'step'             => 2,
			'min'              => 0,
			'max'              => 50,
		),
	) );

	//footer text
	$wp_customize->add_section('transport_movers_footer_section',array(
		'title'	=> __('Footer Text','transport-movers'),
		'panel' => 'transport_movers_panel_id'
	));

	 $wp_customize->add_setting('footer_widget_areas',array(
        'default'           => '3',
        'sanitize_callback' => 'transport_movers_sanitize_choices',
    ));
    $wp_customize->add_control('footer_widget_areas',array(
        'type'        => 'radio',
        'label'       => __('Footer widget area', 'transport-movers'),
        'section'     => 'transport_movers_footer_section',
        'description' => __('Select the number of widget areas you want in the footer. After that, go to Appearance > Widgets and add your widgets.', 'transport-movers'),
        'choices' => array(
            '1'     => __('One', 'transport-movers'),
            '2'     => __('Two', 'transport-movers'),
            '3'     => __('Three', 'transport-movers'),
            '4'     => __('Four', 'transport-movers')
        ),
    ));
	
	$wp_customize->add_setting('transport_movers_footer_copy',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	
	$wp_customize->add_control('transport_movers_footer_copy',array(
		'label'	=> __('Copyright Text','transport-movers'),
		'section'	=> 'transport_movers_footer_section',
		'description'	=> __('Add some text for footer like copyright etc.','transport-movers'),
		'type'		=> 'text'
	));
	
}
add_action( 'customize_register', 'transport_movers_customize_register' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Transport_Movers_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $instance = null;

		if ( is_null( $instance ) ) {
			$instance = new self;
			$instance->setup_actions();
		}

		return $instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $manager
	 * @return void
	 */
	public function sections( $manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/inc/section-pro.php' );

		// Register custom section types.
		$manager->register_section_type( 'Transport_Movers_Customize_Section_Pro' );

		// Register sections.
		$manager->add_section(
			new Transport_Movers_Customize_Section_Pro(
				$manager,
				'example_1',
				array(
					'title'   =>  esc_html__( 'Transport Pro', 'transport-movers' ),
					'pro_text' => esc_html__( 'Go Pro', 'transport-movers' ),
					'pro_url'  => esc_url( 'https://www.buywptemplates.com/themes/premium-transport-wordpress-theme/' ),
					'priority'   => 9
				)
			)
		);
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'transport-movers-customize-controls', trailingslashit( get_template_directory_uri() ) . '/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'transport-movers-customize-controls', trailingslashit( get_template_directory_uri() ) . '/css/customize-controls.css' );
	}

	//Footer widget areas
	function transport_movers_sanitize_choices( $input ) {
	    $valid = array(
	        '1'     => __('One', 'transport-movers'),
	        '2'     => __('Two', 'transport-movers'),
	        '3'     => __('Three', 'transport-movers'),
	        '4'     => __('Four', 'transport-movers')
	    );
	    if ( array_key_exists( $input, $valid ) ) {
	        return $input;
	    } else {
	        return '';
	    }
	}
}

// Doing this customizer thang!
Transport_Movers_Customize::get_instance();